CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros
TestNamer.h File Reference
`#include <cppunit/Portability.h>`
`#include <string>`

Go to the source code of this file.

## Classes

class | TestNamer
| Names a test or a fixture suite. More...

## Macros

#define | CPPUNIT_TESTNAMER_DECL(variableName, FixtureType) CPPUNIT_NS::TestNamer variableName( std::string(#FixtureType) )
| Declares a TestNamer. More...

## Macro Definition Documentation

#define CPPUNIT_TESTNAMER_DECL | ( |  | variableName,
|  |  | FixtureType
| ) |  | CPPUNIT_NS::TestNamer variableName( std::string(#FixtureType) )

Declares a TestNamer.

Declares a TestNamer for the specified type, using RTTI if enabled, otherwise using macro string expansion.

RTTI is used if CPPUNIT_USE_TYPEINFO_NAME is defined and not null.

1 void someMethod()
2 {
3 CPPUNIT_TESTNAMER_DECL( namer, AFixtureType );
4 std::string fixtureName = namer.getFixtureName();
5 ...

See also
  TestNamer

| Send comments to: CppUnit Developers